Use this file to discover all available pages before exploring further.
Fusion API services are designed to be accessed via Fusion’s authentication proxy module which is part of the Fusion UI service (default port 8764). All applications should use this method to access the API service:
The Fusion introspect endpoint lists basic information about endpoints and parameters for all Fusion endpoints,
including the Connectors services endpoints:
Fusion automatically assigns each API request a Fusion request ID. Optionally, you can assign your own Fusion request IDs.In this example of a search, the request does not set the Fusion request ID. Fusion assigns one, in this case, PdNfxc1V2o:
curl -v -u USERNAME:PASSWORD http://127.0.0.1:8764/api/apps/Movie_Search/query/Movie_Profile?q=movieId_s:202* Trying 127.0.0.1...* TCP_NODELAY set* Connected to 127.0.0.1 (127.0.0.1) port 8764 (#0)* Server auth using Basic with user 'admin'> GET /api/apps/Movie_Search/query/Movie_Profile?q=movieId_s:202 HTTP/1.1> Host: 127.0.0.1:8764> Authorization: Basic YWRtaW46UGFzc3dvcmQxMjM=> User-Agent: curl/7.54.0> Accept: */*> fusion-request-id: Movie202>< HTTP/1.1 200 OK< Server: Jetty(9.3.8.v20160314)< fusion-request-id: PdNfxc1V2o< Content-Type: application/json;charset=UTF-8< x-fusion-query-id: f5KGn9KPvv< Set-Cookie: id=c114b816-df6f-4b17-97e0-bb87ef815bf0;Path=/;HttpOnly< Content-Length: 1707< Connection: close<* Closing connection 0(search result omitted)
Here, we assign the Fusion request ID Movie202:
curl -v -H 'fusion-request-id: Movie202' -u USERNAME:PASSWORD http://127.0.0.1:8764/api/apps/Movie_Search/query/Movie_Profile?q=movieId_s:202* Trying 127.0.0.1...* TCP_NODELAY set* Connected to 127.0.0.1 (127.0.0.1) port 8764 (#0)* Server auth using Basic with user 'admin'> GET /api/apps/Movie_Search/query/Movie_Profile?q=movieId_s:202 HTTP/1.1> Host: 127.0.0.1:8764> Authorization: Basic YWRtaW46UGFzc3dvcmQxMjM=> User-Agent: curl/7.54.0> Accept: */*> fusion-request-id: Movie202>< HTTP/1.1 200 OK< Server: Jetty(9.3.8.v20160314)< fusion-request-id: Movie202< Content-Type: application/json;charset=UTF-8< x-fusion-query-id: f5KGn9KPvv< Set-Cookie: id=c114b816-df6f-4b17-97e0-bb87ef815bf0;Path=/;HttpOnly< Content-Length: 1707< Connection: close<* Closing connection 0(search result omitted)
With a Fusion request ID, you can trace requests in log files and Use Dashboards in Fusion
Use Dashboards in Fusion
This topic details the options available to use Fusion dashboards.
When you open the Fusion dashboards, your organization’s dashboards display, as well as the EXPLORE DASHBOARDS section that provides options to create or display specific types of dashboards.You can click the icons in the top right corner of the screen to perform the following functions:
Option
Notes
Goto saved default
Open the saved default dashboard.
New
Create a new dashboard. Options are:
Time-series dashboard
Non time-series dashboard
Load
Load a dashboard using one of the following options:
Saved dashboards are listed at the bottom of the dialog box. Click a dashboard to open it. Filter dashboards by entering an exact-match string in the Filter box. If there are more that 20 saved dashboards, use the pagination controls to find a dashboard. To view the next set of pages, click the forward arrows. To view the prior set of pages, click the back arrows. Or click a page number to view the dashboards on that page.
Enter the gist URL or number (the last part of the URL)
Enter value > click Get A link that opens the dashboard appears below a thin line. The link displays the dashboard name. Click the link to open the dashboard.
Type to filter.
Enter dashboard type to filter and display if the dashboard matches.
Save
Save options include:
Locally
Export to File
Set as Browser Default. Click to set the current dashboard as the default.
Clear Browser Default. Click to clear the current dashboard. The default dashboard for the browser becomes the system default dashboard default.json (the Fusion Logs dashboard).
Solr
Make Public. If this checkbox is selected, the dashboard is shared with everyone.
Service Logs. Enter a value and click Save to save the log.
Configure Dashboard
Click to configure tabs for General, Rows, Control, and Solr dashboard settings.
The table describes options to interact with data displayed in certain dashboards.
Option
Notes
Collections
Choose the collection from which to obtain data. If a dashboard is configured to let users choose among collections, select the collection from the Collections drop-down list at the top right of the dashboard.
Search
Enter the value to search.
To search for a specific value, enter a term or phrase and click Search.
To retrieve all data, enter *.* and click Search.
Clear search box
Click to clear the search box and return the most general query, as if you entered *.*.
Waiting for data
Indicates the query is waiting for data to be returned. If the indicator spins for an extended time while other panels display data, the panel is not configured correctly.
Select item
Click a table row. In a graphical-visualization panel, click the data item. NOTE: Not all panel types let you select data in this way.
Export data
Click to enter the number of rows to export and select the destination file type. For example, CSV, XML, or JSON.
Click to toggle the filter to the opposite setting (on or off).
Remove filter
Click to remove the current filter. CAUTION: To display correctly, specific filters must be set for certain types of panels. Fusion also creates filters based on your interactions with data. You can add a filter back, but there is no undo. Before you remove a filter, toggle off the filter and verify the results. If the results are accurate, it is safe to remove it.
To only display information about log entries with a specific Fusion request ID, you can filter the contents of a logs dashboard by the Fusion request ID.Filter the contents in the following ways:
To view the dashboard for a Fusion UI API error or API error toast, click View logs dashboard. The system displays the dashboard using a filter for that request ID.API error with link in Fusion UI:API error toast with link:Filtered Service Logs dashboard:Click View logs dashboard to open the Service Logs dashboard with filters by the Fusion request ID. For example, the filtering query for the mdc_requestId_s field displays the fusion-request-id of BWQSjPPYgB.
This section only applies to Fusion versions prior to 5.4.0.
You can filter the dashboards for service logs, access logs, and combined logs by Fusion request ID.To filter by Fusion request ID, complete the following:
Obtain the Fusion request ID returned by a request. For example, notice the Fusion request ID BWQSjPPYgB returned by this API command:
curl -v -u USERNAME:PASSWORD http://127.0.0.1:8764/api/apps/inventory* Trying 127.0.0.1...* TCP_NODELAY set* Connected to 127.0.0.1 (127.0.0.1) port 8764 (#0)* Server auth using Basic with user 'admin'> GET /api/apps/inventory HTTP/1.1> Host: 127.0.0.1:8764> Authorization: Basic YWRtaW46UGFzc3dvcmQxMjM=> User-Agent: curl/7.54.0> Accept: */*>< HTTP/1.1 404 Not Found< Content-Type: application/json< fusion-request-id: BWQSjPPYgB< Server: Jetty(9.3.8.v20160314)< Set-Cookie: id=4962c806-f3b5-485f-8fb4-c20e608b700c;Path=/;HttpOnly< Content-Length: 394< Connection: close<{ "type" : "RESTError", "httpStatusCode" : 404, "error" : "ERR-0003", "message" : "A web application error occurred", "details" : "The Fusion App with id 'inventory' does not exist", "cause" : null, "requestId" : "BWQSjPPYgB", "httpStatusMessage" : "Not Found", "localizedMessage" : "The Fusion App with id 'inventory' does not exist", "suppressed" : [ ], "class" : null* Closing connection 0}
Open the logs dashboard.
Specify the Fusion request ID in the Filter panel, with a query for the mdc_requestId_s field that specifies the value of fusion-request-id for which you want to search.
In this example, the fusion-request-id is BWQSjPPYgB:
Append a query filter parameter to the dashboard URL
As an alternative to constructing a query filter in the dashboard, you can append a query filter parameter to the dashboard URL. In the query filter, use the field name mdc_requestID_s.Example 1: Default dashboard (Service Logs)Example 2: Combined Logs dashboard
Open the Service Logs dashboard from a job history
Open the job history.
For most jobs, click Collections > Jobs, select a job, and then click Job History.
For datasource jobs, click Indexing > Datasources, select a datasource, and then click Job History.In the job history, you will see a link named runId:
Click the link to view the Service Logs dashboard filtered by the runId: